"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnvironment = exports.JoiEnvironmentValidationSchema = void 0;
const joi_1 = __importDefault(require("joi"));
exports.JoiEnvironmentValidationSchema = joi_1.default.object()
    .keys({
    PWD: joi_1.default.string().required(),
})
    .unknown();
function getEnvironment() {
    const env = process.env;
    const { error, warning } = exports.JoiEnvironmentValidationSchema.validate(env);
    if (error)
        throw error;
    if (warning)
        console.error(warning);
    return env;
}
exports.getEnvironment = getEnvironment;
