"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.routeTypeTags = exports.handlersInterfacePostfix = exports.handlersInterfacePrefix = exports.fastifyImports = exports.openapiSchemasImport = exports.openapiSchemasImportName = exports.disableLinter = void 0;
const types_1 = require("../utils/types");
exports.disableLinter = `/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
`;
exports.openapiSchemasImportName = 'openapi';
exports.openapiSchemasImport = `import * as ${exports.openapiSchemasImportName} from './index'`;
exports.fastifyImports = `
import {
  RawReplyDefaultExpression,
  RawRequestDefaultExpression,
  RawServerDefault,
  RouteHandlerMethod,
} from "fastify"
`;
exports.handlersInterfacePrefix = 'export interface Handlers {';
exports.handlersInterfacePostfix = '}';
exports.routeTypeTags = Object.values(types_1.RouteTypeTag);
