"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenapiParser = void 0;
const yaml_1 = __importDefault(require("yaml"));
class OpenapiParser {
    parseOpeanpi(openapiFileContent) {
        try {
            return JSON.parse(openapiFileContent);
        }
        catch {
            return yaml_1.default.parse(openapiFileContent);
        }
    }
}
exports.OpenapiParser = OpenapiParser;
